import 'address_card.dart';
import 'package:flutter/material.dart';

// ignore: must_be_immutable
class AddressesList extends StatelessWidget {
  var addressesList = [];
  bool showSelection;
  AddressesList(this.addressesList, this.showSelection);
  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Expanded(
          child: ListView.builder(
              itemBuilder: (context, index) {
                return AddressCard(addressesList[index], this.showSelection);
              },
              itemCount: addressesList.length),
        ),
      ],
    );
  }
}
